Enabling Location Services

Android 6 and higher is compatible with OVERDRIVE. However, due to changes in permissions with Android 6, the app may not be able to detect the vehicles properly.

To resolve this issue, enable location services. Your OVERDRIVE vehicles will now be detected properly in the app.

Still need help? Contact Us Contact Us